/*
 * JPA entity Metadaten
 *
 */
package de.ivu.elect.business.unterstuetzer.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.unterstuetzer.entity.EintragungslisteConstants;
import de.ivu.elect.jee.faces.Messages;

@Named(EintragungslisteMeta.COMPONENT_NAME)
@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class EintragungslisteMeta implements de.ivu.elect.jee.entity.Meta
{

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "eintragungslisteMeta";

  @Inject
  private transient Messages messages;

  public EintragungslisteMeta() {
      super();
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }

  @Override
  public String getEinzahlMessageKey(){
    return EintragungslisteConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public  String getMehrzahlMessageKey(){
    return EintragungslisteConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }


  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage(){
    return getMessage(getMehrzahlMessageKey());
  }



  public String getNummerEinzahlMessageKey(){
    return EintragungslisteConstants.MESSAGE_KEY_NUMMER_EINZAHL;
  }

  public String getNummerMehrzahlMessageKey(){
    return EintragungslisteConstants.MESSAGE_KEY_NUMMER_MEHRZAHL;
  }


  public String getNummerEinzahlMessage(){
    return getMessage(getNummerEinzahlMessageKey());
  }

  public String getNummerMehrzahlMessage(){
    return getMessage(getNummerMehrzahlMessageKey());
  }



  public boolean isNummerRequired() {
    return !EintragungslisteConstants.NUMMER_NULLABLE;
  }

  public java.lang.Long getNummerDefaultValue() {
    return EintragungslisteConstants.NUMMER_DEFAULT_VALUE;
  }

  public int getNummerMaxLength() {
    return EintragungslisteConstants.NUMMER_MAX_LENGTH;
  }

  public long getNummerMinValue() {
    return EintragungslisteConstants.NUMMER_MIN_VALUE;
  }

  public long getNummerMaxValue() {
    return EintragungslisteConstants.NUMMER_MAX_VALUE;
  }


  public String getWahlvorschlagEinzahlMessageKey(){
    return EintragungslisteConstants.MESSAGE_KEY_WAHLVORSCHLAG_ID_EINZAHL;
  }

  public String getWahlvorschlagEinzahlMessage(){
    return getMessage(getWahlvorschlagEinzahlMessageKey());
  }

  public boolean isWahlvorschlagRequired() {
    return !EintragungslisteConstants.WAHLVORSCHLAG_ID_NULLABLE;
  }

}